Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.model
Class HLClassImpl<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.model.EntityImpl<E>
          fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl<E>
              fr.inrialpes.exmo.ontosim.entity.model.HLClassImpl<E>

All Implemented Interfaces:
  Entity<E>, HLClass<E>, HLEntity<E>

    public class HLClassImpl<E>

extends HLEntityImpl<E>
implements HLClass<E>

Field Summary
`private List<Reference<Set<HLProperty<E>>>>` | `dataproperties`
`private List<Reference<Set<HLIndividual<E>>>>` | `instances`
`private List<Reference<Set<HLProperty<E>>>>` | `objectproperties`
`private List<Reference<Set<HLProperty<E>>>>` | `properties`
`private List<Reference<Set<HLClass<E>>>>` | `subclasses`
`private List<Reference<Set<HLClass<E>>>>` | `superclasses`

Fields inherited from class fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl
`fact, onto`

Constructor Summary
`protected` | `HLClassImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont, E e)`

Method Summary
`Set<HLProperty<E>>` | `getDataProperties(int local, int asserted, int named)`
`Set<HLIndividual<E>>` | `getInstances(int local, int asserted, int named)`
`Set<HLProperty<E>>` | `getObjectProperties(int local, int asserted, int named)`
`Set<HLProperty<E>>` | `getProperties(int local, int asserted, int named)`
`Set<HLClass<E>>` | `getSubClasses(int local, int asserted, int named)`
`Set<HLClass<E>>` | `getSuperClasses(int local, int asserted, int named)`

Methods inherited from class fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl
`getCapabilities, getIdx, getOntology`

Methods inherited from class fr.inrialpes.exmo.ontosim.entity.model.EntityImpl
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.HLEntity
`getOntology`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.Entity
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Field Detail

### subclasses

    private List<Reference<Set<HLClass<E>>>> subclasses

### superclasses

    private List<Reference<Set<HLClass<E>>>> superclasses

### properties

    private List<Reference<Set<HLProperty<E>>>> properties

### dataproperties

    private List<Reference<Set<HLProperty<E>>>> dataproperties

### objectproperties

    private List<Reference<Set<HLProperty<E>>>> objectproperties

### instances

    private List<Reference<Set<HLIndividual<E>>>> instances

Constructor Detail

### HLClassImpl

    protected HLClassImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont,
                          E e)

Method Detail

### getSubClasses

    public Set<HLClass<E>> getSubClasses(int local,
                                         int asserted,
                                         int named)

  Specified by:
    `getSubClasses` in interface `HLClass<E>`

### getSuperClasses

    public Set<HLClass<E>> getSuperClasses(int local,
                                           int asserted,
                                           int named)

  Specified by:
    `getSuperClasses` in interface `HLClass<E>`

### getProperties

    public Set<HLProperty<E>> getProperties(int local,
                                            int asserted,
                                            int named)

  Specified by:
    `getProperties` in interface `HLClass<E>`

### getDataProperties

    public Set<HLProperty<E>> getDataProperties(int local,
                                                int asserted,
                                                int named)

  Specified by:
    `getDataProperties` in interface `HLClass<E>`

### getObjectProperties

    public Set<HLProperty<E>> getObjectProperties(int local,
                                                  int asserted,
                                                  int named)

  Specified by:
    `getObjectProperties` in interface `HLClass<E>`

### getInstances

    public Set<HLIndividual<E>> getInstances(int local,
                                             int asserted,
                                             int named)

  Specified by:
    `getInstances` in interface `HLClass<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009